Subject: Re: [X2Go-Dev] Bug#670: Bug#670: window border and control disappears after maximize and move

From: Michael DePaulo <[email-masked]>
Date: Mon, 19 Jan 2015 10:06:51 -0500

Sorry for not replying earlier. I need to manage my email better.

On Mon, Jan 5, 2015 at 5:20 AM, Mike Gabriel
<[email-masked]> wrote:
> @Mike#2: can you provide a diff of the vcxsrv code used in X2Go Client
> 4.0.2.1+hotfix1+build6 and in the MS Win X2Go Client version 4.0.3.0?

You do not want me to do that. The diff is 38.2 MB.
Upstream VcXsrv was upgraded (not updated) from 1.14.3 (19 Sep 2013)
to 1.15.2 (5 July 2014).

x2goclient 4.0.2.1+* uses
https://sourceforge.net/u/mikedep333/vcxsrv/ci/1.14.3.2/
x2goclient 4.0.3.0 uses:
https://sourceforge.net/u/mikedep333/vcxsrv/ci/1.15.2.1-xp+vc2013+x2go1/tree/

The only difference I made on top of upstream VcXsrv, other than
changing version strings and updating the build process for XP
compatibility, was adding Alex's winmultiwindow.patch:
https://sourceforge.net/u/mikedep333/vcxsrv/ci/978ec71bbf4345f477fd4f937deb3a4b481862e2/

On Mon, Jan 19, 2015 at 8:23 AM,  <[email-masked]> wrote:
> I tested x2go 4.0.3.1 with several version of external VcXsrv (1.15.0.2,
> 1.15.1, 1.16.1, 1.16.2) without problem.
> (command line option: -multiwindow -notrayicon -clipboard)
>
> When I switch back to internal X server and problem is back too.

Thanks for doing this investigation.

It sounds like there are 2 possible causes.
1. The command line options passed to VcXsrv. When you use the
internal X server, X2Go Client figures out what options to pass based
on your session preferences. So they probably differ than those you
listed.
2. Alex's winmultiwindow.patch , which only VcXsrv
1.15.2.1-xp+vc2013+x2go1 & VcXsrv 1.15.2.2-xp+vc2013+x2go1 include.
The "+x2go1" in the version string denotes that we made an
X2Go-specific change. Specifically, that patch.

In order to narrow this problem down, please try the following:

1. Configure x2goclient to use a custom X-server, but specify X2Go
Client's own internal X-server as the executable.
On 32-bit windows:
C:\Program Files\x2goclient\VcXsrv\vcxsrv.exe
On 64-bit windows:
C:\Program Files (x86)\x2goclient\VcXsrv\vcxsrv.exe

2. Specify the same command-line options as before.

3. Restart x2goclient and try to reproduce the bug.

-Mike#2